body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f4f4f4;
}

* {
    box-sizing: border-box;
}

.invoice-container {
    width: 80%;
    margin: 10px auto;
    background: white;
    padding: 20px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
}

.action-container {
    width: 20%;
    margin: 10px auto 20px;
    background: white;
    padding: 30px 20px 20px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
}

.main-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.sub-header {
    text-align: center;
    background-color: #DAA520;
    margin-top: -18px;
    font-family: Georgia, serif;
}

.sub-header p {
    padding: 10px 0;
    font-weight: 600;
    font-size: 18px;
}

.customer-info {
    display: flex;
    justify-content: space-between;
    padding-bottom: 20px;
}

.customer-info .left-section {
    width: 65%;
}

.customer-info .right-section {
    width: 30%;
    max-width: 200px;
}

.customer-info p {
    margin: 8px 0;
}

.invoice-table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 54px;
}

.invoice-table th,
.invoice-table td {
    border: 1px solid #000;
    padding: 8px;
    text-align: left;
}

.invoice-table th {
    background-color: #DAA520;
    color: white;
}

.no-border td {
    border: none;
    font-size: 14px;
    text-align: right;
}

.action-buttons {
    text-align: right;
    margin-top: 20px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.action-buttons button {
    padding: 15px 20px;
    margin-left: 10px;
    color: #000;
    border: none;
    cursor: pointer;
    font-weight: 600;
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.action-buttons button:hover {
    box-shadow: 0 12px 16px 0 rgba(0, 0, 0, 0.24), 0 17px 50px 0 rgba(0, 0, 0, 0.19);
}

.text-input {
    font-size: 16px;
    padding: 5px 5px 5px 5px;
    display: block;
    /* width: 200px; */
    border: none;
    border-bottom: 1px solid #515151;
    background: transparent;
    width: 100%;
}

.weight-input {
    font-size: 16px;
    padding: 5px 5px 5px 5px;
    display: block;
    width: 100%;
    border: none;
    border-bottom: 1px solid #515151;
    background: transparent;
}

.top-input {
    font-size: 16px;
    padding: 5px 5px 5px 5px;
    width: 130px;
    border: none;
    border-bottom: 1px solid #515151;
    background: transparent;
}

input:focus {
    outline: none;
}

textarea:focus {
    outline: none;
}

.form-group {
    flex-direction: row;
}

.form-group p strong {
    width: 180px;
    display: inline-block;
}

.rate-list {
    margin-top: -35px;
}

.pagination {
    margin-top: 10px;
    justify-content: center;
}

.table-responsive {
    overflow-x: auto;
}

/* Chrome, Safari, Edge, Opera */
input.top-input.phone::-webkit-outer-spin-button,
input.top-input.phone::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input.top-input.phone[type=number] {
    -moz-appearance: textfield;
}

@media screen and (max-width: 767px) {

    .invoice-container,
    .action-container {
        width: 100%;
    }

    .invoice-table {
        margin-top: 10px;
    }

    .rate-list {
        margin-top: 10px;
    }

    .action-buttons button {
        margin-left: 0;
    }

    .action-buttons {
        margin-bottom: 0;
    }
}

@media screen and (max-width: 767px) {
    .customer-info .left-section {
        width: 60%;
    }

    .customer-info .right-section {
        width: 40%;
    }
}